PWHOIS(1p)

NAME
pwhois - Get Whois information of domains and IP addresses.

VERSION
version 2.99043

SYNOPSIS
        pwhois perl.com
        pwhois gnu.org
        pwhois -s police.co.il
        pwhois -c there.is.no.tld.called.foobar
        pwhois yahoo.com whois.networksolutions.com
        pwhois -T 10 funet.fi

etc etc.....

DESCRIPTION
Just invoke with a domain name, optionally with a whois server name. Switches:
    -s attempt to strip the copyright message or disclaimer.
    -c attempts to return an empty answer for failed searches.
    -e forces die if connection rate to server have been exceeded.
    -T set timeout for connection attempts
    -t enables caching.
    -a specify an ip address that should be used as source address
    -d enables debugging messages.
    -F returns results of the first query of recursive whois requests
    -L returns results of the last query of recursive whois requests (the default)
    -A returns results of the all queries of recursive whois requests

NAME
pwhois - Perl written whois client

AUTHORS
Ariel Brosh schop@cpan.org Walery Studennikov despair@cpan.org

Current Maintainer: Alexander Nalobin nalobin@cpan.org

SEE ALSO
Net::Whois::Raw.

AUTHOR
Alexander Nalobin <alexander@nalobin.ru>

COPYRIGHT AND LICENSE
This software is copyright (c) 2002-2026 by Alexander Nalobin.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.